### Method

# RB RhythmDB entry_delete

#### Declaration [src]

    void
    rhythmdb_entry_delete (
      RhythmDB* db,
      RhythmDBEntry* entry
    )

#### Description [src]

Delete entry `entry` from the database, sending notification of its deletion. This is usually used by sources where entries can disappear randomly, such as a network source.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.